package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseUpdateRequest;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * DictUpdateRequest - 字典更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2019-07-20
 */
public class  DictUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为NULL")
    private Long id;

    /**
     * 字典名称
     */
    @NotEmpty(message = "字典名称不能为空")
    @Length(min = 0, max = 50, message = "字典名称长度不合法(0-50)")
    private String dictName;

    /**
     * 字典代码
     */
    @NotEmpty(message = "字典描述不能为空")
    @Length(min = 0, max = 50, message = "字典描述长度不合法(0-50)")
    private String dictComment;

    /**
     * 字典版本
     */
    @NotEmpty(message = "字典版本不能为空")
    @Length(min = 0, max = 50, message = "字典版本长度不合法(0-50)")
    private String version;

    /**
     * 是否有效
     */
    @NotNull(message = "是否有效不能为NULL")
    private Boolean valid;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictComment() {
        return this.dictComment;
    }

    public void setDictComment(String dictComment) {
        this.dictComment = dictComment;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
